#include "Clock.h"
#include <QProcess>
#include <QTimer>

Clock::Clock() :
		QObject()
{
	iCurrentDateTime = QDateTime::currentDateTime();

	iTimer = new QTimer( this );
	connect( iTimer, SIGNAL( timeout() ), iTimer, SLOT( start() ) );
	connect( iTimer, SIGNAL( timeout() ), this, SLOT( update() ) );
	iTimer->start( 1000 );
}

Clock::~Clock()
{
	if ( iTimer != 0 )
	{
		iTimer->stop();
		delete iTimer;
	}
}

QDateTime Clock::datetime()
{
	return iCurrentDateTime;
}

QDate Clock::today()
{
	return iCurrentDateTime.date();
}

QTime Clock::time()
{
	return iCurrentDateTime.time();
}

void Clock::syncronizeDateTime()
{
	const QString systemCmd = "sudo /etc/init.d/openntpd restart";

	iTimer->stop();
	QProcess::execute( systemCmd );
	iTimer->start( 1000 );
}

void Clock::update()
{
	iCurrentDateTime = QDateTime::currentDateTime();

	emit tick( datetime() );
}
