#ifndef CONNECTION_H_
#define CONNECTION_H_

#include <QString>
#include <QUrl>

class ConnectionSettings
{
public:
	ConnectionSettings( const QUrl &aServerUrl, const QString &aUsername, const QString &aPassword, unsigned int aRefreshInterval );
	ConnectionSettings( const ConnectionSettings &aOther );
	virtual ~ConnectionSettings();

	QUrl serverUrl();
	QString username();
	QString password();
	unsigned int refreshInterval();

private:
	QUrl iServerUrl;
	QString iUsername;
	QString iPassword;
	unsigned int iRefreshInterval; // in seconds

};

#endif /*CONNECTION_H_*/
