#ifndef DISPLAYSETTINGS_H_
#define DISPLAYSETTINGS_H_

#include <QDateTime>

class DisplaySettings
{
public:
	enum DaysInSchedule { WeekdaysInSchedule = 5, WholeWeekInSchedule = 7 };
	enum DateFormat { LongDateFormat, ShortDateFormat };
	enum TimeFormat { TwelveHoursTimeFormat, TwentyFourHoursTimeFormat };

public:
	DisplaySettings( DateFormat aDateFormat, TimeFormat aTimeFormat, DaysInSchedule aDaysInSchedule, QTime aDayStartsAt, QTime aDayEndsAt );
	virtual ~DisplaySettings();

	QString dateFormat();
	QString timeFormat();
	DaysInSchedule daysInSchedule();
	QTime dayStartsAt();
	QTime dayEndsAt();

private:
	DateFormat iDateFormat;
	TimeFormat iTimeFormat;
	DaysInSchedule iDaysInSchedule;
	QTime iDayStartsAt;
	QTime iDayEndsAt;

};

#endif /*DISPLAYSETTINGS_H_*/
