#ifndef ALARMSENDER_H_
#define ALARMSENDER_H_

extern "C"
{
#include <alarmd/alarm_event.h>
}

#include <QObject>
#include <QTime>

class AlarmSender : public QObject
{
	Q_OBJECT

public:
	AlarmSender();
	virtual ~AlarmSender();

signals:
	void alarmSendingFailed( QString errortext );

public slots:
	void sendAlarms( QTime aTurnOnAt, QTime aTurnOffAt, int aDays = 5 );
	bool removeAlarms();

private:
	QDateTime findFirstTime( int aDays, QTime aTime );
	int daysToNextWorkingDay( QDateTime aDateTime );
	long handleCookie( cookie_t cookie );
	QString mapError( alarm_error_t aErrorcode );
	bool storeSentAlarms( QList<long> aAlarmsSent );
	void removeAlarms( QList<long> aAlarmsSent );

};

#endif /*ALARMSENDER_H_*/
