#ifndef DEVICEMANAGER_H_
#define DEVICEMANAGER_H_

#include <QObject>
#include <QStringList>

class AlarmSender;
class HWKeyListener;
class StartupSettings;
class DeviceDataStorage;

class DeviceManager : public QObject
{
	Q_OBJECT

public:
	//! Enumeration of device modes
	/*!
	 * Enumeration of device modes
	 */
	enum OperationMode
	{
		KioskMode, /*!< Device is in kiosk mode. */
		StandAloneMode /*!< Device is in stand alone mode. */
	};

public:
	DeviceManager( StartupSettings *aSettings );
	virtual ~DeviceManager();

signals:

public slots:

private slots:
	void changeMode();
	void toggleScreenSwitchOff( bool aEnable );
	bool systemIO( QString aCommand, QStringList aArgs, QByteArray &aResult );

private:
	AlarmSender *iAlarmSender;
	HWKeyListener *iHWKeyListener;
	StartupSettings *iSettings;
	DeviceDataStorage *iDataStorage;

	OperationMode iMode;

};

#endif /*DEVICEMANAGER_H_*/
