#include "MeetingInfoDialog.h"
#include "ToolBox.h"
#include "Meeting.h"
#include "Room.h"
#include <QLabel>
#include <QVBoxLayout>
#include <QPushButton>

MeetingInfoDialog::MeetingInfoDialog( Meeting *aMeeting, QWidget *aParent ) :
		QDialog( aParent )
{
	setWindowTitle( tr( "Details" ) );

	QFont normalFont;

	QFont boldFont;
	boldFont.setBold( true );

	// subject:
	// Agile Testing
	QLabel *subjectLabel = ToolBox::createLabel( tr( "Subject:" ), boldFont );
	iSubjectLabel = ToolBox::createLabel( aMeeting->subject(), normalFont );
	// organizer:
	// john.agile.tester@ixonos.com
	QLabel *organizerLabel = ToolBox::createLabel( tr( "Organizer:" ), boldFont );
	iOrganizerLabel = ToolBox::createLabel( aMeeting->organizer(), normalFont );
	// starts at:
	// 2009.03.20. 12:00
	QLabel *startsAtLabel = ToolBox::createLabel( tr( "Starts at:" ), boldFont );
	iStartsAtLabel = ToolBox::createLabel( aMeeting->startsAt().toString( tr( "d MMMM yyyy hh:mm" ) ), normalFont );
	// starts at:
	// 2009.03.20. 13:15
	QLabel *endsAtLabel = ToolBox::createLabel( tr( "Ends at:" ), boldFont );
	iEndsAtLabel = ToolBox::createLabel( aMeeting->endsAt().toString( tr( "d MMMM yyyy hh:mm" ) ), normalFont );
	// room:
	// Pegasus
	QLabel *roomNameLabel = ToolBox::createLabel( tr( "Room:" ), boldFont );
	iRoomNameLabel = ToolBox::createLabel( aMeeting->room()->name(), normalFont );

	// [OK]
	QPushButton *button = new QPushButton;
	button->setText( tr( "OK" ) );
	connect( button, SIGNAL( pressed() ), this, SLOT( close() ) );

	QHBoxLayout *buttonLayout = new QHBoxLayout;
	buttonLayout->addStretch();
	buttonLayout->addWidget( button );
	buttonLayout->addStretch();

	QVBoxLayout *layout = new QVBoxLayout;
	layout->addWidget( subjectLabel );
	layout->addWidget( iSubjectLabel );
	layout->addWidget( organizerLabel );
	layout->addWidget( iOrganizerLabel );
	layout->addWidget( startsAtLabel );
	layout->addWidget( iStartsAtLabel );
	layout->addWidget( endsAtLabel );
	layout->addWidget( iEndsAtLabel );
	layout->addWidget( roomNameLabel );
	layout->addWidget( iRoomNameLabel );
	layout->addStretch();
	layout->addLayout( buttonLayout );
	setLayout( layout );

	setMinimumWidth( MeetingInfoDialog::width );
	setMinimumHeight( MeetingInfoDialog::height );
}

MeetingInfoDialog::~MeetingInfoDialog()
{
}
