#ifndef ROOMSTATUSINDICATORWIDGET_H_
#define ROOMSTATUSINDICATORWIDGET_H_

#include "ObservedWidget.h"
#include <QTime>
#include <QKeyEvent>
#include <QTabletEvent>

#include "Room.h"

class QLabel;
class QVBoxLayout;
class TimeDisplayWidget;

class RoomStatusIndicatorWidget : public ObservedWidget
{
	Q_OBJECT

public:
	RoomStatusIndicatorWidget( Room *aDefaultRoom, Room::Status aStatus, QTime aUntil, QString aFormat, QWidget *aParent = 0 );
	virtual ~RoomStatusIndicatorWidget();

public slots:
	void setCurrentTime( QTime aCurrentTime );
	void statusChanged( const Room::Status aStatus, const QTime aUntil );

private:
	QString statusToText( const Room::Status aStatus );
	QPalette createPalette( Room::Status aStatus );

private:
	QLabel *iDefaultRoomLabel;
	QLabel *iStatusLabel;
	QLabel *iUntilTextLabel;
	QLabel *iUntilTimeLabel;
	TimeDisplayWidget *iTimeDisplay;
	QString iTimeFormat;

	static QTime endOfTheDay;

};

#endif /*ROOMSTATUSINDICATORWIDGET_H_*/
