#include <QtTest/QtTest>

#include "Engine.h"
#include "Clock.h"
#include "Configuration.h"
#include "Room.h"

class TestEngine: public QObject
{
	Q_OBJECT

private slots:
	void initTestCase();
	void testClock();
	void testConfiguration();
	void testDefaultRoom();
	void cleanupTestCase();

private:
	Engine *iEngine;

};

void TestEngine::initTestCase()
{
	iEngine = new Engine;
	QVERIFY( iEngine != 0 );
}

void TestEngine::cleanupTestCase()
{
	delete iEngine;
	iEngine = 0;
}

void TestEngine::testClock()
{
	// ?!?
}

void TestEngine::testConfiguration()
{
	QCOMPARE( iEngine->configuration(), Configuration::instance() );
}

void TestEngine::testDefaultRoom()
{
	QCOMPARE( iEngine->defaultRoom()->equals( Configuration::instance()->defaultRoom() ), true );
}

QTEST_MAIN( TestEngine )
#include "TestEngine.moc"
