#include <QtTest/QtTest>
#include "ErrorMapper.h"

class TestErrorMapper: public QObject
{
	Q_OBJECT

private slots:
	void initTestCase();
	void codeToString();
	void cleanupTestCase();

private:
	ErrorMapper *iErrorMapper;

};

void TestErrorMapper::initTestCase()
{
	iErrorMapper = new ErrorMapper();
	QVERIFY( iErrorMapper != 0 );
}

void TestErrorMapper::cleanupTestCase()
{
	delete iErrorMapper;
	iErrorMapper = 0;
}

void TestErrorMapper::codeToString()
{
	QCOMPARE( iErrorMapper->codeToString( 0 ), QString( "Not really an error. Everything went just fine." ) );
	QCOMPARE( iErrorMapper->codeToString( 666 ), QString( "For unit test purposes." ) );
}

QTEST_MAIN( TestErrorMapper )
#include "TestErrorMapper.moc"

